Bug 642226 - error message 'RHEL Virtualization Channel' for RHEL6 server
error message 'RHEL Virtualization Channel' for RHEL6 server
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Tomas Lestach
Petr Sklenar
: Regression
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
Reported: 2010-10-12 07:53 EDT by Petr Sklenar
Modified: 2012-04-02 08:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The RHEL Virtualization channel is no longer required when adding a virtualization entitlement for a system with Red Hat Enterprise Linux 6.
Story Points: ---
Clone Of:
Last Closed: 2010-12-16 10:44:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-10-12 07:53:56 EDT
Description of problem:
There is wrong error message about missing 'RHEL Virtualization Channel' for Rhel6 server. There is no rhel6-VT channel and this message is wrong

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. have rhel6, yum groupinstall "Virtualization", reboot
2. have sat540 and channels rhel6 server and rhn tools synced
3. connect rhel6 client into sat540
4. add Virtualization entitlement for this client
Actual results:
there is message:
Could not automatically subscribe the system to the RHEL Virtualization Channel. This channel contains packages required for virtualization. This is most likely caused by a lack of channel entitlements.

Since you added a Virtualization entitlement to the system we also performed some extra steps to ensure your system will be able to manage virtual guests better. See here for more info.

System properties changed for dell-pe800-01.rhts.eng.bos.redhat.com.

Expected results:
there is no error about missing 'RHEL Virtualization Channel.

like a bonus it could install package libvirt which is not in dependencies for group Virtualization nor kvm package.

Additional info:
I installed libvirt, and restarted /etc/init.d/libvirtd
I created kickstart with rhel6 kvm guest and guest was successfully provisioned.
Comment 5 Tomas Lestach 2010-11-19 09:08:10 EST
Taking for investigation.
Comment 6 Tomas Lestach 2010-11-24 06:25:44 EST
Do not look for VT channel in case of RHEL6 base channel.

spacewalk.git: d114bf889a640045e82b737daf04e539b064765b

For QA: Please make sure adding of Virtualization entitlement still works on older RHEL clients.

PS. Related bug: Bug#656241 (would be nice to ship the fix for both at the same time)
Comment 12 errata-xmlrpc 2010-12-16 10:44:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 13 Jaromir Hradilek 2010-12-16 11:33:06 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    New Contents:
The RHEL Virtualization channel is no longer required when adding a virtualization entitlement for a system with Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.